Support » Plugin: MailPoet - emails and newsletters in WordPress » Unable to activate Mailpoet 3 (version 2 is still active)

  • Resolved Mandy

    (@mafalda1426)


    I have Mailpoet 2 still running on my website, but I’d like to update to version 3.
    I can install it, but when I click on “activate” the site reloads but nothing happens, the plugin keeps inactive. Even when Mailpoet 2 is deactivated.
    Any idea what might be the issue?

    PHP 7.1 is running.

    Thank you!

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author MailPoet

    (@wysija)

    Hi Mandy,

    Do you see any error message when trying to activate MailPoet 3?

    Please double check if you have all the Minimum and Recommended Requirements for MailPoet 3

    Let us know!

    Mandy

    (@mafalda1426)

    Hi, thanks for the quick reply!

    I activated the debug mode, and this error message is showing when I try to activate Mailpoet 3:

    Fatal error: Uncaught TypeError: Argument 1 passed to Twig_Environment::addExtension() must implement interface Twig_ExtensionInterface, instance of Twig\Extension\DebugExtension given, called in /www/htdocs/######/wp-content/plugins/mailpoet/lib/Config/Renderer.php on line 106 and defined in /www/htdocs/######/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php:903 Stack trace: #0 /www/htdocs/######/wp-content/plugins/mailpoet/lib/Config/Renderer.php(106): Twig_Environment->addExtension(Object(Twig\Extension\DebugExtension)) #1 /www/htdocs/######/wp-content/plugins/mailpoet/lib/Config/Renderer.php(40): MailPoet\Config\Renderer->setupDebug() #2 /www/htdocs/######/wp-content/plugins/mailpoet/lib/Subscribers/NewSubscriberNotificationMailer.php(39): MailPoet\Config\Renderer->__construct(false, true) #3 /www/htdocs/######/wp-content/plugins/mailpoet/generated/FreeCac in /www/htdocs/######/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php on line 903

    So it looks like a conflict with the WPML plugin? The plugins are all up-to-date.
    Any idea?

    Thanks!
    Mandy

    • This reply was modified 3 months, 2 weeks ago by  Mandy.
    Plugin Author MailPoet

    (@wysija)

    Hi Mandy,

    Thanks for your patience! This error is now resolved with the latest release. You should be able to update and then activate it and everything will work properly. 🙂

    Thanks!

    Mandy

    (@mafalda1426)

    Thank you! I just updated the plugin – now it works. Perfect! 🙂

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.